<?php

 require_once('../Graph.class.php');
 //Az összes grafikus elem importálása
Graph::importObject('Star');
Graph::importIterator('EllipseIterator');



 $graph = new Graph(400,400);
 $graph->type = "gif";
 $graph->transparent=true;
 
        
//ellipszis iterátor létrehozása
$iterator = new EllipseIterator(150,150,200,150);
$iterator->add = 10;
$iterator->start = -180;
$iterator->end = -540;

$isize = 10;
//Ellipszis vonalán végig csillagok kirajzolása
foreach($iterator as $pos) {
	$obj = new Star((abs($isize)+4) / 4);
	$obj->numPoint = 8;
	$obj->lenPoint = 70;
	$obj->transparent = true;
	$obj->x = $pos['x'];
	$obj->y = $pos['y'];
	$obj->type = 'gif';
	$obj->angle = 30;
	$obj->quality = 100;
	$obj->color = $graph->createColor(255,255,0);
	$obj->borderColor = $graph->createColor(200,0,0);

	$graph->add($obj);
	$isize+=10;
} 
        
        
$graph->flush();
?>